[arch-commits] Commit in dcron/trunk (PKGBUILD)

Paul Mattal paul at archlinux.org
Mon Jan 18 22:22:53 EST 2010


    Date: Monday, January 18, 2010 @ 22:22:52
  Author: paul
Revision: 63921

upgpkg: dcron 4.4-1
    upstream update to 4.4, add optdepend to fix FS#12662

Modified:
  dcron/trunk/PKGBUILD

----------+
 PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-19 02:14:41 UTC (rev 63920)
+++ PKGBUILD	2010-01-19 03:22:52 UTC (rev 63921)
@@ -1,7 +1,7 @@
 # Maintainer: Paul Mattal <paul.archlinux.org>
 
 pkgname=dcron
-pkgver=4.3
+pkgver=4.4
 pkgrel=1
 pkgdesc="dillon's lightweight cron daemon"
 arch=(i686 x86_64)
@@ -11,15 +11,16 @@
 depends=('glibc')
 provides=('cron')
 source=("http://www.jimpryor.net/linux/releases/${pkgname}-${pkgver}.tar.gz")
-md5sums=('763cf1fe9649bd8864cd034b538aa1c0')
+md5sums=('02d848ba043a9df5bf2102a9f4bc04bd')
+optdepends=('smtp-server: sending cron job output via email')
 
-
 build() {
 	cd "$srcdir/${pkgname}-${pkgver}"
 
-	make CRONTABS=/var/spool/cron CRONSTAMPS=/var/spool/cronstamps || return 1
+
 	# by default, any member of group "users" can edit their own crontab
-	make DESTDIR="$pkgdir" PREFIX=/usr CRONTAB_GROUP=users CRONTABS=/var/spool/cron CRONSTAMPS=/var/spool/cronstamps install || return 1
+	make PREFIX=/usr CRONTAB_GROUP=users CRONTABS=/var/spool/cron CRONSTAMPS=/var/spool/cronstamps || return 1
+	make DESTDIR="$pkgdir" install || return 1
 
 
 	install -d -m755 "$pkgdir/etc/cron."{hourly,daily,weekly,monthly} || return 1
@@ -27,5 +28,6 @@
 	install -D -m755 extra/run-cron "$pkgdir/usr/sbin/run-cron" || return 1
 	install -D -m0600 extra/root.crontab "$pkgdir/var/spool/cron/root" || return 1
 	install -D -m644 extra/crond.logrotate "$pkgdir/etc/logrotate.d/crond" || return 1
+	# install -D -m755 extra/prune-cronstamps "$pkgdir/etc/cron.monthly/prune-cronstamps" || return 1
 
 }



More information about the arch-commits mailing list